import unittest
import sys

from installer.packages import Version

class TestVersion (unittest.TestCase):
    def test_version_compare (self):
        self.assertTrue(Version("1.2.3") > Version("1.1.5"))
        self.assertTrue(Version("1.2.5") < Version("1.3.0"))
        self.assertTrue(Version("2.0.0") > Version("1.9.5"))
        self.assertTrue(Version("1.9.5") < Version("2.0.0"))
        self.assertTrue(Version("1.2.3") > Version("1.2.2beta"))
        self.assertTrue(Version("1.2.3") == Version("1.2.3"))
        self.assertTrue(Version("1.2.3") <= Version("1.2.3"))
        self.assertTrue(Version("1.2.3") >= Version("1.2.3"))
        self.assertTrue(Version("1.4.1") >= Version("1.2.3"))
        self.assertTrue(Version("1.2") == Version("1.2.0"))
        self.assertTrue(Version("1.2") < Version("1.2.1"))